summaryrefslogtreecommitdiffstats
path: root/bin/chroot-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-09-09 13:53:46 +0200
committerHolger Levsen <holger@layer-acht.org>2017-09-09 13:53:46 +0200
commit71e7314d0ee46fbc807b630f6c823c9b587c10c0 (patch)
treec5c99f6fdd928ae6f9d07ad0dcd7825beca9cc80 /bin/chroot-installation.sh
parent7ad8be1a1e8db83ca89b5a7b382c7a6aa5c4dc3c (diff)
downloadjenkins.debian.net-71e7314d0ee46fbc807b630f6c823c9b587c10c0.tar.xz
chroot-installs: detect Hash Sum mismatches and try again
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/chroot-installation.sh')
-rwxr-xr-xbin/chroot-installation.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index e2e467a0..a4578cfd 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -57,7 +57,7 @@ execute_ctmpfile() {
(sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG) || true
RESULT=$(grep "xxxxxSUCCESSxxxxx" $TMPLOG || true)
if [ -z "$RESULT" ] ; then
- RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway|Service Unavailable)" $TMPLOG || true)
+ RESULT=$(egrep "Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway|Service Unavailable|Hash Sum mismatch)" $TMPLOG || true)
if [ ! -z "$RESULT" ] ; then
echo
echo "$(date -u) - Warning: Network problem detected."